singleton Material(barstow)
{
   mapTo = "barstow";
    diffuseMap[2] = "vehicles/barstow/barstow_c.dds";
    specularMap[2] = "vehicles/barstow/barstow_s.dds";
    normalMap[2] = "vehicles/barstow/barstow_n.dds";
    diffuseMap[1] = "vehicles/barstow/barstow_d.dds";
    specularMap[1] = "vehicles/barstow/barstow_s.dds";
    normalMap[1] = "vehicles/barstow/barstow_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/barstow/barstow_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
     specular[0] = "0.2 0.2 0.2 1";
    specular[1] = "0.2 0.2 0.2 1";
    specular[2] = "0.2 0.2 0.2 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(barstow_lettering)
{
    mapTo = "barstow_lettering";
    specularMap[0] = "vehicles/barstow/barstow_lettering_s.dds";
    normalMap[0] = "vehicles/barstow/barstow_lettering_n.dds";
    diffuseMap[0] = "vehicles/barstow/barstow_lettering_d.dds";
    reflectivityMap[0] = "vehicles/barstow/barstow_lettering_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    //translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    //translucentZWrite = "1";
};

singleton Material(barstow_interior)
{
    mapTo = "barstow_interior";
    diffuseMap[1] = "barstow_interior_d.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[1] = "barstow_interior_s.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "barstow_interior_n.dds";
    normalMap[1] = "barstow_interior_n.dds";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    useAnisotropic[1] = "1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "global_cubemap_metalblurred";
    diffuseColor[0] = "1 1 1 1";
    specular[0] = "0.2 0.2 0.2 1";
    specular[1] = "0.2 0.2 0.2 1";
};

singleton Material(barstow_steer_sport)
{
    mapTo = "barstow_steer_sport";
    diffuseMap[1] = "barstow_steer_sport_d.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[1] = "barstow_steer_sport_s.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "barstow_steer_sport_n.dds";
    normalMap[1] = "barstow_steer_sport_n.dds";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    useAnisotropic[1] = "1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "global_cubemap_metalblurred";
    diffuseColor[0] = "1 1 1 1";
};


singleton Material(barstow_gauges)
{
    mapTo = "barstow_gauges";
    diffuseMap[0] = "barstow_gauges_d.dds";
    specularMap[0] = "barstow_gauges_s.dds";
    normalMap[0] = "barstow_gauges_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1.5 1.5 1.5 1";
};

singleton Material(barstow_gauges_on)
{
    mapTo = "barstow_gauges_on";
    diffuseMap[1] = "barstow_gauges_d.dds";
    specularMap[1] = "barstow_gauges_s.dds";
    normalMap[1] = "barstow_gauges_n.dds";
    diffuseMap[0] = "barstow_gauges_d.dds";
    specularMap[0] = "barstow_gauges_s.dds";
    normalMap[0] = "barstow_gauges_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    diffuseColor[1] = "0 2 1.3 0.5";
};

singleton Material(barstow_stitches)
{
    mapTo = "barstow_stitches";
    diffuseMap[0] = "barstow_stitches_d.dds";
	specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
	alphaTest = "1";
    alphaRef = "50";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 0.8";
	specular[0] = "0.2 0.2 0.2 1";
};

singleton Material(barstow_seats)
{
    mapTo = "barstow_seats";
    diffuseMap[1] = "barstow_seats_d.dds";
    specularMap[1] = "barstow_seats_s.dds";
    normalMap[1] = "barstow_seats_n.dds";
	diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "barstow_seats_s.dds";
    normalMap[0] = "barstow_seats_n.dds";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    useAnisotropic[1] = "1";
	specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
	cubemap = "global_cubemap_metalblurred";
    diffuseColor[0] = "1 1 1 1";
};

singleton Material(temp_chrome)
{
    mapTo = "temp_chrome";
    diffuseColor[0] = "0 0 0 1";
    diffuseColor[1] = "0 0 0 0.01";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(barstow_engine_v8)
{
    mapTo = "barstow_engine_v8";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    diffuseMap[1] = "vehicles/barstow/barstow_engine_v8_d.dds";
    normalMap[1] = "vehicles/barstow/barstow_engine_v8_n.dds";
    normalMap[0] = "vehicles/barstow/barstow_engine_v8_n.dds";
    specularMap[1] = "vehicles/barstow/barstow_engine_v8_s.png";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1 1 1 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(barstow_glass)
{
    mapTo = "barstow_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/barstow/barstow_glass_d.dds";
    opacityMap[0] = "vehicles/barstow/barstow_glass_d.dds";
    diffuseMap[1] = "vehicles/barstow/barstow_glass_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(barstow_glass_int)
{
    mapTo = "barstow_glass_int";
    diffuseMap[0] = "vehicles/barstow/barstow_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(barstow_glass_dmg)
{
    mapTo = "barstow_glass_dmg";
    diffuseMap[0] = "vehicles/barstow/barstow_glass_dmg_d.dds";
    opacityMap[0] = "vehicles/barstow/barstow_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/barstow/barstow_glass_dmg_d.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(barstow_windshield_dmg)
{
    mapTo = "barstow_windshield_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/barstow/barstow_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(barstow_lights)
{
    mapTo = "barstow_lights";
    diffuseMap[1] = "vehicles/barstow/barstow_lights_d.dds";
    specularMap[1] = "vehicles/barstow/barstow_lights_s.dds";
    normalMap[1] = "vehicles/barstow/barstow_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/barstow/barstow_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(barstow_lights_on)
{
    mapTo = "barstow_lights_on";
    diffuseMap[2] = "vehicles/barstow/barstow_lights_g.dds";
    specularMap[2] = "vehicles/barstow/barstow_lights_s.dds";
    normalMap[2] = "vehicles/barstow/barstow_lights_n.dds";
    diffuseMap[1] = "vehicles/barstow/barstow_lights_d.dds";
    specularMap[1] = "vehicles/barstow/barstow_lights_s.dds";
    normalMap[1] = "vehicles/barstow/barstow_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/barstow/barstow_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.12";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(barstow_lights_on_intense)
{
    mapTo = "barstow_lights_on_intense";
    diffuseMap[2] = "vehicles/barstow/barstow_lights_g.dds";
    specularMap[2] = "vehicles/barstow/barstow_lights_s.dds";
    normalMap[2] = "vehicles/barstow/barstow_lights_n.dds";
    diffuseMap[1] = "vehicles/barstow/barstow_lights_d.dds";
    specularMap[1] = "vehicles/barstow/barstow_lights_s.dds";
    normalMap[1] = "vehicles/barstow/barstow_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/barstow/barstow_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.20";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(barstow_lights_dmg)
{
    mapTo = "barstow_lights_dmg";
    diffuseMap[1] = "vehicles/barstow/barstow_lights_dmg_d.dds";
    specularMap[1] = "vehicles/barstow/barstow_lights_s.dds";
    normalMap[1] = "vehicles/barstow/barstow_lights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/barstow/barstow_lights_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(barstow_reverselight)
{
    mapTo = "barstow_reverselight";
};

singleton Material(barstow_signal_L)
{
    mapTo = "barstow_signal_L";
};

singleton Material(barstow_signal_R)
{
    mapTo = "barstow_signal_R";
};

singleton Material(barstow_lowbeam)
{
    mapTo = "barstow_lowbeam";
};

singleton Material(barstow_highbeam)
{
    mapTo = "barstow_highbeam";
};

singleton Material(barstow_taillight_L)
{
    mapTo = "barstow_taillight_L";
};

singleton Material(barstow_taillight_R)
{
    mapTo = "barstow_taillight_R";
};

singleton Material(barstow_brakelight)
{
    mapTo = "barstow_brakelight";
};

singleton Material(barstow_headlight)
{
    mapTo = "barstow_headlight";
};

singleton Material(barstow_decals_red)
{
    mapTo = "barstow_decals_red";
    reflectivityMap[0] = "barstow_decals_d.dds";
    diffuseMap[0] = "barstow_decals_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 0 0 1";
    useAnisotropic[0] = "1";
    diffuseMap[1] = "barstow_decals_d.dds";
    specularMap[1] = "vehicles/common/null.dds";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[1] = "1 0 0 0.65";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    translucentZWrite = "1";
};

singleton Material(barstow_decals_black)
{
    mapTo = "barstow_decals_black";
    reflectivityMap[0] = "barstow_decals_d.dds";
    diffuseMap[0] = "barstow_decals_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "0 0 0 1";
    useAnisotropic[0] = "1";
    diffuseMap[1] = "barstow_decals_d.dds";
    specularMap[1] = "vehicles/common/null.dds";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[1] = "0 0 0 0.65";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    translucentZWrite = "1";
};

singleton Material(barstow_decals_white)
{
    mapTo = "barstow_decals_white";
    reflectivityMap[0] = "barstow_decals_d.dds";
    diffuseMap[0] = "barstow_decals_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    diffuseMap[1] = "barstow_decals_d.dds";
    specularMap[1] = "vehicles/common/null.dds";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[1] = "1 1 1 0.65";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    translucentZWrite = "1";
};

singleton Material(barstow_decals_yellow)
{
    mapTo = "barstow_decals_yellow";
    reflectivityMap[0] = "barstow_decals_d.dds";
    diffuseMap[0] = "barstow_decals_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 0 1";
    useAnisotropic[0] = "1";
    diffuseMap[1] = "barstow_decals_d.dds";
    specularMap[1] = "vehicles/common/null.dds";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[1] = "1 1 0 0.65";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    translucentZWrite = "1";
};

singleton Material(barstow_decals_blue)
{
    mapTo = "barstow_decals_blue";
    reflectivityMap[0] = "barstow_decals_d.dds";
    diffuseMap[0] = "barstow_decals_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "0 0 1 1";
    useAnisotropic[0] = "1";
    diffuseMap[1] = "barstow_decals_d.dds";
    specularMap[1] = "vehicles/common/null.dds";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[1] = "0 0 1 0.65";
    useAnisotropic[1] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    translucentZWrite = "1";
};

